Appcrash with OCR plugin in build 318

PDF-X OCR SDK is a New product from us and intended to compliment our existing PDF and Imaging Tools to provide the Developer with an expanding set of professional tools for Optical Character Recognition tasks

Moderators: TrackerSupp-Daniel, Tracker Support, Vasyl-Tracker Dev Team, Sean - Tracker, Chris - Tracker Supp, Tracker Supp-Stefan

Post Reply
docu-track99
User
Posts: 495
Joined: Thu Dec 06, 2007 8:13 pm

Appcrash with OCR plugin in build 318

Post by docu-track99 » Wed Sep 28, 2016 1:51 pm

Hello again,

We have upgraded from build 317.1 to 318 and now the OCR function from the PDF Editor is no longer working. An appcrash is the result and is logged in Windows' EventLog

Faulting module name: OCRPlugin.pvp, version: 6.0.317.0, time stamp: 0x56f2e4b6
Exception code: 0xc0000005
Fault offset: 0x0002f11d
Faulting process id: 0xa90
Faulting application start time: 0x01d219094eb295d0
Faulting module path: C:\Program Files (x86)\...\...\Plugins.x86\OCRPlugin.pvp
Report Id: 3863377a-1f87-4126-93d1-d7d4ad282f86
Faulting package full name:

Is there a newer OCRPlugin.pvp we should be using with 318?

Thanks.

User avatar
Will - Tracker Supp
Site Admin
Posts: 6788
Joined: Mon Oct 15, 2012 9:21 pm
Location: London, UK
Contact:

Re: Appcrash with OCR plugin in build 318

Post by Will - Tracker Supp » Wed Sep 28, 2016 2:15 pm

Hi docu-track99,

Thanks for the post - I'm not seeing this here, with any files that I have. Can you please send sample?

Cheers,
If posting files to this forum, you must archive the files to a ZIP, RAR or 7z file or they will not be uploaded.
Thank you.

Best regards

Will Travaglini
Tracker Support (Europe)
Tracker Software Products Ltd.
http://www.tracker-software.com

docu-track99
User
Posts: 495
Joined: Thu Dec 06, 2007 8:13 pm

Re: Appcrash with OCR plugin in build 318

Post by docu-track99 » Wed Sep 28, 2016 2:28 pm

Will,

We are using the editor sdk not the demo editor. We had a fully working 317.1 and the only software that changed is upgrading to 318 without any code changes. First we noticed that 318 no longer reads the CurrentViewerSettings.xcs file and that had to be recreated and now the OCR functionality is no longer working

The plugin version is in the error, I have attached it for you. Please use that version with 318.
Attachments
OCRPlugin.zip
Version 317.0
(1.32 MiB) Downloaded 83 times

User avatar
Will - Tracker Supp
Site Admin
Posts: 6788
Joined: Mon Oct 15, 2012 9:21 pm
Location: London, UK
Contact:

Re: Appcrash with OCR plugin in build 318

Post by Will - Tracker Supp » Wed Sep 28, 2016 2:30 pm

Thanks for that - I've moved this to the appropriate SDK forum and will pass it along.

Cheers,
If posting files to this forum, you must archive the files to a ZIP, RAR or 7z file or they will not be uploaded.
Thank you.

Best regards

Will Travaglini
Tracker Support (Europe)
Tracker Software Products Ltd.
http://www.tracker-software.com

docu-track99
User
Posts: 495
Joined: Thu Dec 06, 2007 8:13 pm

Re: Appcrash with OCR plugin in build 318

Post by docu-track99 » Wed Sep 28, 2016 3:00 pm

Thanks Will,

I will keep an eye out for a response here.

User avatar
Sasha - Tracker Dev Team
User
Posts: 4220
Joined: Fri Nov 21, 2014 8:27 am
Contact:

Re: Appcrash with OCR plugin in build 318

Post by Sasha - Tracker Dev Team » Thu Sep 29, 2016 7:25 am

Hello docu-track99,

You are using a 317 version plugin with the 318 version of the SDK thus the error occurs. Please use the plugin file of the 318 version and try again.

Cheers,
Alex
Join us at Google+:
https://plus.google.com/+PDFXChangeEditorTS
Subscribe at:
https://www.youtube.com/channel/UC-TwAMNi1haxJ1FX3LvB4CQ

docu-track99
User
Posts: 495
Joined: Thu Dec 06, 2007 8:13 pm

Re: Appcrash with OCR plugin in build 318

Post by docu-track99 » Thu Sep 29, 2016 3:36 pm

I'd like to get the plugin for 318, but it has been replaced with 318.1. Where can I get the 318 plugins and what's new with 318.1?

User avatar
Patrick-Tracker Supp
Site Admin
Posts: 1668
Joined: Thu Mar 27, 2014 6:14 pm
Location: Vancouver Island
Contact:

Re: Appcrash with OCR plugin in build 318

Post by Patrick-Tracker Supp » Thu Sep 29, 2016 6:20 pm

Hello docu-track99

Thanks for the post. It is better to use the same version, but 318.1 plug-in should work with 318.0 of the SDK as there have been no changes to the API interfaces.

You can download 318.0 here: http://www.docu-track.co.uk/builds/6.0. ... DFXVE6.zip

Cheers!
If posting files to this forum, you must archive the files to a ZIP, RAR or 7z file or they will not be uploaded.
Thank you.

Cheers,

Patrick Charest
Tracker Support North America

Post Reply